Bug 1328327 - Unable to open keepass 2 database
Summary: Unable to open keepass 2 database
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: kpcli
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matías Kreder
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-19 06:17 UTC by Frank Büttner
Modified: 2017-01-03 17:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-28 20:20:41 UTC


Attachments (Terms of Use)

Description Frank Büttner 2016-04-19 06:17:54 UTC
Description of problem:
When I try to open an keepass2 database, only an perl error will show.

Version-Release number of selected component (if applicable):
kpcli.noarch 0:2.7-3.el7

How reproducible:
Every time

Steps to Reproduce:
1. kpcli
2.  open foo.kdbx


Actual results:
Couldn't load the file foo.kdbx: Failed to decompress document: Cannot load compression library to decompress database: Can't locate Compress/Raw/Zlib.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .) at /usr/share/perl5/vendor_perl/File/KeePass.pm line 1100.

Expected results:
Open database

Additional info:
The package perl-Compress-Raw-Zlib must installed as an dependency.

Comment 1 Fedora Update System 2016-12-18 17:44:47 UTC
perl-File-KeePass-2.03-10.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3fd15a179

Comment 2 Fedora Update System 2016-12-18 17:44:55 UTC
perl-File-KeePass-2.03-10.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ea4175e243

Comment 3 Fedora Update System 2016-12-18 17:44:59 UTC
perl-File-KeePass-2.03-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0bb7148f46

Comment 4 Fedora Update System 2016-12-18 17:45:04 UTC
perl-File-KeePass-2.03-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-651e8cbbd5

Comment 5 Fedora Update System 2016-12-19 01:52:36 UTC
perl-File-KeePass-2.03-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0bb7148f46

Comment 6 Fedora Update System 2016-12-19 02:32:33 UTC
perl-File-KeePass-2.03-10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3fd15a179

Comment 7 Fedora Update System 2016-12-19 19:19:07 UTC
perl-File-KeePass-2.03-10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ea4175e243

Comment 8 Fedora Update System 2016-12-20 00:59:29 UTC
perl-File-KeePass-2.03-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-651e8cbbd5

Comment 9 Fedora Update System 2016-12-28 20:20:41 UTC
perl-File-KeePass-2.03-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-01-02 21:48:46 UTC
perl-File-KeePass-2.03-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-01-03 01:21:28 UTC
perl-File-KeePass-2.03-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-01-03 17:49:31 UTC
perl-File-KeePass-2.03-10.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.